%define upstream_name    Apache-Htpasswd
%define upstream_version 1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manage Unix crypt-style password file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::PasswdMD5)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(MIME::Base64)

BuildArch: noarch


%description
This module comes with a set of methods to use with htaccess password
files. These files (and htaccess) are used to do Basic Authentication on a
web server.

The passwords file is a flat-file with login name and their associated
crypted password. You can use this for non-Apache files if you wish, but it
was written specifically for .htaccess style files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 31717
- mageia rebuild
- cleaning spec file
- imported package perl-Apache-Htpasswd


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.800.0-1mdv2010.1
+ Revision: 504564
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdv2009.1
+ Revision: 291362
- import perl-Apache-Htpasswd


* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdv2009.1
- initial mdv release, generated with cpan2dist

